commit: fbb39ffdcd8232fb3e7346355f4d7b50eb429dc1
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Thu Apr 30 21:16:20 2015 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Thu Apr 30 21:16:20 2015 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=fbb39ffd
sci-biology/MaSuRCA: version bump
Package-Manager: portage-2.2.18
sci-biology/MaSuRCA/ChangeLog | 8 ++++++-
...{MaSuRCA-2.1.0.ebuild => MaSuRCA-2.3.2b.ebuild} | 26 +++++++++-------------
2 files changed, 17 insertions(+), 17 deletions(-)
diff --git a/sci-biology/MaSuRCA/ChangeLog b/sci-biology/MaSuRCA/ChangeLog
index e9d6a2c..4014eea 100644
--- a/sci-biology/MaSuRCA/ChangeLog
+++ b/sci-biology/MaSuRCA/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for sci-biology/MaSuRCA
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*MaSuRCA-2.3.2b (30 Apr 2015)
+
+ 30 Apr 2015; Martin Mokrejs <[email protected]>
+ +MaSuRCA-2.3.2b.ebuild, -MaSuRCA-2.1.0.ebuild:
+ sci-biology/MaSuRCA: version bump
+
16 Sep 2014; Christoph Junghans <[email protected]> MaSuRCA-2.1.0.ebuild:
added license
diff --git a/sci-biology/MaSuRCA/MaSuRCA-2.1.0.ebuild
b/sci-biology/MaSuRCA/MaSuRCA-2.3.2b.ebuild
similarity index 67%
rename from sci-biology/MaSuRCA/MaSuRCA-2.1.0.ebuild
rename to sci-biology/MaSuRCA/MaSuRCA-2.3.2b.ebuild
index 04e8172..01eeeeb 100644
--- a/sci-biology/MaSuRCA/MaSuRCA-2.1.0.ebuild
+++ b/sci-biology/MaSuRCA/MaSuRCA-2.3.2b.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -16,33 +16,27 @@ IUSE=""
DEPEND="dev-lang/perl
app-arch/bzip2"
-RDEPEND="${DEPEND}"
- #sci-biology/quorum"
+RDEPEND="${DEPEND}
+ >=sci-biology/quorum-0.2.1
+ >=sci-biology/jellyfish-1.1.11"
# the ebuild mimics "${S}"/install.sh
src_configure(){
- cd jellyfish-1.1.11 || die
+ cd jellyfish || die
econf
- cd ../jellyfish-2.0.0rc1 || die
- econf --program-suffix=-2.0
-
cd ../CA/kmer || die
- sh ./configure.sh
econf
- cd ../../SuperReads-0.3.2 || die
+ cd ../../SuperReads || die
econf
- cd ../quorum-0.3.2 || die
+ cd ../quorum || die
econf --enable-relative-paths --with-relative-jf-path
}
src_compile(){
- cd jellyfish-1.1.11 || die
- emake
-
- cd ../jellyfish-2.0.0rc1 || die
+ cd jellyfish || die
emake
cd ../CA/kmer || die
@@ -51,10 +45,10 @@ src_compile(){
cd ../../CA/src || die
emake
- cd ../SuperReads-0.3.2 || die
+ cd ../SuperReads || die
emake
- cd ../quorum-0.3.2 || die
+ cd ../quorum || die
emake
}